Package org.apache.ignite.cache.eviction.lru

## Interface LruEvictionPolicyMBean

-     @MXBeanDescription("MBean for LRU cache eviction policy.")
      public interface LruEvictionPolicyMBean

  MBean for `LRU` eviction policy.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBatchSize()` | Gets batch size.
    `long` | `getCurrentMemorySize()` | Gets current queue size in bytes.
    `int` | `getCurrentSize()` | Gets current queue size.
    `long` | `getMaxMemorySize()` | Gets maximum allowed cache size in bytes.
    `int` | `getMaxSize()` | Gets maximum allowed cache size.
    `void` | `setBatchSize​(int batchSize)` | Sets batch size.
    `void` | `setMaxMemorySize​(long maxMemSize)` | Sets maximum allowed cache size in bytes.
    `void` | `setMaxSize​(int max)` | Sets maximum allowed cache size.

- - ### Method Detail

    - #### getMaxSize

          @MXBeanDescription("Maximum allowed cache size.")
          int getMaxSize()

      Gets maximum allowed cache size.
      Returns:
        Maximum allowed cache size.

    - #### setMaxSize

          @MXBeanDescription("Sets maximum allowed cache size.")
          void setMaxSize​(int max)

      Sets maximum allowed cache size.
      Parameters:
        `max` - Maximum allowed cache size.

    - #### getBatchSize

          @MXBeanDescription("Batch size.")
          int getBatchSize()

      Gets batch size.
      Returns:
        batch size.

    - #### setBatchSize

          @MXBeanDescription("Set batch size.")
          void setBatchSize​(int batchSize)

      Sets batch size.
      Parameters:
        `batchSize` - Batch size.

    - #### getCurrentSize

          @MXBeanDescription("Current queue size.")
          int getCurrentSize()

      Gets current queue size.
      Returns:
        Current queue size.

    - #### getMaxMemorySize

          @MXBeanDescription("Maximum allowed cache size in bytes.")
          long getMaxMemorySize()

      Gets maximum allowed cache size in bytes.
      Returns:
        maximum allowed cache size in bytes.

    - #### setMaxMemorySize

          @MXBeanDescription("Set maximum allowed cache size in bytes.")
          void setMaxMemorySize​(long maxMemSize)

      Sets maximum allowed cache size in bytes.
      Parameters:
        `maxMemSize` - Maximum allowed cache size in bytes.

    - #### getCurrentMemorySize

          @MXBeanDescription("Current queue size in  bytes.")
          long getCurrentMemorySize()

      Gets current queue size in bytes.
      Returns:
        current queue size in bytes.